cascading.flow.planner.graph

## Class IgnoreAnnotationsHashSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<ElementGraph>
      - - cascading.flow.planner.graph.IgnoreAnnotationsHashSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ElementGraph>, java.util.Collection<ElementGraph>, java.util.Set<ElementGraph>

      public class IgnoreAnnotationsHashSet
      extends java.util.HashSet<ElementGraph>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgnoreAnnotationsHashSet(java.util.Collection<? extends ElementGraph> collection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(ElementGraph elementGraph)`
    `java.util.List<ElementGraph>` | `asList()`

    - ### Methods inherited from class java.util.HashSet

      `clear, clone, contains, isEmpty, iterator, remove, size`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### IgnoreAnnotationsHashSet

          public IgnoreAnnotationsHashSet(java.util.Collection<? extends ElementGraph> collection)

  - ### Method Detail

    - #### add

          public boolean add(ElementGraph elementGraph)

      Specified by:
        `add` in interface `java.util.Collection<ElementGraph>`
      Specified by:
        `add` in interface `java.util.Set<ElementGraph>`
      Overrides:
        `add` in class `java.util.HashSet<ElementGraph>`

    - #### asList

          public java.util.List<ElementGraph> asList()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.